/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import type { TagsListItem, TagModule } from '@docusaurus/utils';
import type { AuthorItemProp, AuthorWithKey, BlogPost, BlogSidebar, BlogTag, BlogTags } from '@docusaurus/plugin-content-blog';
export declare function toTagsProp({ blogTags }: {
    blogTags: BlogTags;
}): TagsListItem[];
export declare function toTagProp({ blogTagsListPath, tag, }: {
    blogTagsListPath: string;
    tag: BlogTag;
}): TagModule;
export declare function toAuthorItemProp({ author, count, }: {
    author: AuthorWithKey;
    count: number;
}): AuthorItemProp;
export declare function toBlogSidebarProp({ blogSidebarTitle, blogPosts, }: {
    blogSidebarTitle: string;
    blogPosts: BlogPost[];
}): BlogSidebar;
